package org.paw.filter;


import sunlabs.brazil.server.Request;
import sunlabs.brazil.server.Server;
import sunlabs.brazil.util.http.MimeHeaders;
import sunlabs.brazil.filter.Filter;
import sunlabs.brazil.util.regexp.Regexp;

import java.io.*;
import java.util.*;
import org.jdom.*;


public class StandardFilter implements Filter {
    String prefix;
 
    public boolean init(Server server, String prefix) {
        this.prefix = prefix;
    
        return true;
    }

    /**
     * This is the request object before the content was fetched
     */

    public boolean respond(Request request) {
        return false;
    }

    /**
     * Only filter text/plain documents
     */

    public boolean shouldFilter(Request request, MimeHeaders headers) {
        String type = headers.get("content-type");

        return (type != null && type.startsWith("text/html"));
    }

    public byte[] filter(Request request, MimeHeaders headers, byte[] content) {
        return (content);
   
    }

}
