/*
 * ServerConfig.java
 *
 * Created on 21. Juli 2001, 18:53
 */

package org.paw.gui;


/**
 *
 * @author  Standard
 * @version 
 */
public class GuiServerConfig {
    private String serverName = null,
        port = null,
        log = null,
        proxyHost = null,
        proxyPort = null,
        configFile = null;
    private boolean proxyActive = false;
    
    /** Creates new ServerConfig */
    public GuiServerConfig(String serverName) {
        this.serverName = serverName;
    }
    
    public void setPort(String port) {
        this.port = port;
    }
    
    public void setLog(String log) {
        this.log = log;
    }
    
    public void setProxyHost(String proxyHost) {
        this.proxyHost = proxyHost;
    }
    
    public void setConfigFile(String configFile) {
        this.configFile = configFile;
    }
    
    public void setUseProxy(boolean proxyActive) {
        this.proxyActive = proxyActive;
    }
    
    public void setProxyPort(String proxyPort) {
        this.proxyPort = proxyPort;
    }
    
    public String getServerName() {
        return serverName;
    }
    
    public String getPort() {
        return port;
    }
    
    public String getLog() {
        return log;
    }
    
    public boolean useProxy() {
        return proxyActive;
    }
    
    public String getProxyHost() {
        return proxyHost;
    }
    
    public String getProxyPort() {
        return proxyPort;
    }
    
    public String getConfigFile() {
        return configFile;
    }

}
