/*
 * ProgressDialog.java
 *
 * Created on 16. August 2001, 09:46
 */

package org.paw.gui;


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


/**
 *
 * @author  LUELLJOC
 * @version 
 */
public class ProgressDialog extends JDialog {

    /** Creates new ProgressDialog */
    JLabel label;
    JProgressBar pBar;

    public ProgressDialog(Frame parent, String title,
        boolean modal, boolean resizable,
        int min, int max) {
        super(parent, modal); 
        setTitle(title);
        setResizable(resizable);
    
        label = new JLabel();
        pBar = new JProgressBar(min, max);
        pBar.setStringPainted(true);

        this.getContentPane().setLayout(new FlowLayout());
        this.getContentPane().add(label);
        this.getContentPane().add(pBar);

        this.setDefaultCloseOperation(JDialog.DO_NOTHING_ON_CLOSE);
    }

    public void setProgessMessage(String message) {
        pBar.setString(message);
    }

    public void setMessage(String message) {
        label.setText(message);
    }

    public void setProgressValue(int value) {
        pBar.setValue(value);
    }

}
