/*
 * PawHandler.java
 *
 * Created on 27. Juli 2001, 17:05
 */

package org.paw.server;


import java.io.*;
import java.util.*;


/**
 *
 * @author  Standard
 * @version 
 */
public class PawHandler {

    String status = null;
    String name = null;
    String description = null;
    boolean removable = false;
    String id = null;
    Vector params = new Vector();
    
    // Use hash to avoid multiple entries
    Hashtable files = new Hashtable();
    
    /** Creates new PawHandler */
    public PawHandler() {}
    
    public void setStatus(String status) {
        this.status = status;
    }
    
    public String getStatus() {
        return this.status;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public String getName() {
        return this.name;
    }
    
    public void setDescription(String description) {
        this.description = description;
    }
    
    public String getDescription() {
        return this.description;
    }
    
    public void setRemovable(boolean removable) {
        this.removable = removable;
    }
    
    public boolean isRemovable() {
        return this.removable;
    }
    
    public void setId(String id) {
        this.id = id;
    }
    
    public String getId() {
        return this.id;
    }
    
    public void addParam(String param, String value) {
        params.add(new PawParam(param, value));
    }
    
    public Vector getParams() {
        return this.params;
    }
    
    public void addFile(String file) {
        files.put(file, "");
    }

}
