/*
 * PawMain.java
 *
 * Created on 17. Juli 2001, 07:29
 */

package org.paw.server;


import java.io.*;


/**
 *
 * @author  LUELLJOC
 * @version 
 */
public class PawMain {
    static PawServer pawServer;

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {

        PrintStream out = System.out;

        if (args.length == 1) {
            pawServer = new PawServer(args[0]);
        } else {
            pawServer = new PawServer("conf/server.xml");
        }


        if (pawServer.adminActive) {
            // Start admin
            int adminPort = Integer.decode(pawServer.adminPort).intValue();
            PawAdmin pawAdmin = new PawAdmin(pawServer, adminPort,
                    pawServer.adminUser,
                    pawServer.adminPass);
        }
    }

}
