package org.paw.filter;

import sunlabs.brazil.server.Request;
import sunlabs.brazil.server.Server;
import sunlabs.brazil.util.http.MimeHeaders;
import sunlabs.brazil.filter.Filter;
import sunlabs.brazil.util.regexp.Regexp;

import java.io.*;
import java.util.*;
import org.jdom.*;


public class VisualizeFilter implements Filter
{
  String prefix;
 
  public boolean init(Server server, String prefix)
  {
    this.prefix = prefix;

    return true;
  }


  /**
     * This is the request object before the content was fetched
     */

  public boolean respond(Request request)
  {
    return false;
  }

  /**
     * Filter everything
     */

  public boolean shouldFilter(Request request, MimeHeaders headers)
  {
    //String type = headers.get("content-type");
    //return (type != null && type.startsWith("text/html"));
    return true;
  }

  public byte[] filter(Request request, MimeHeaders headers, byte[] content)
  {
     System.out.println("===========================================");
     System.out.println("CLIENT --> SERVER");
     System.out.println(request.toString());
     request.headers.print(System.out);
     if(request.postData != null)
       System.out.println("\n" + new String(request.postData));

     System.out.println("-------------------------------------------");

     System.out.println("SERVER --> CLIENT");
     int status = request.getStatus();
     System.out.println(request.protocol + " " + status +
                        (status==200?" OK":""));
     headers.print(System.out);

     /* Don't print out content */
     //String type = headers.get("content-type");
     //if(type != null && type.startsWith("text"))
        //System.out.println("\n" + new String(content));


     System.out.println("===========================================\n");
     
      
      return(content);
   
  }

 
}
