/*
 * GuiFilter.java
 *
 * Created on 22. Juli 2001, 12:47
 */

package org.paw.gui;


import java.util.*;


/**
 *
 * @author  Standard
 * @version 
 */
public class GuiRegExpFilter {
    String name, description, file, type, status;
    Vector regexp;
    boolean active = false;

    public GuiRegExpFilter() {
        name = null;
        description = null;
        file = null;
        type = null;
        status = null;
        regexp = new Vector();
    }

    public void setActive(boolean active) {
        this.active = active;
    }
  
    public boolean isActive() {
        return active;
    }
  
    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getDescription() {
        return this.description;
    }

    public void setFile(String file) {
        this.file = file;
    }

    public String getFile() {
        return this.file;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return this.type;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return this.status;
    }

    public void addRegExp(String match, String subst) {
        GuiRegExp pReg = new GuiRegExp(match, subst);

        regexp.add(pReg);

    }

    public Vector getRegExp() {
        return regexp;
    }

}


class GuiRegExp {
    String match, subst;

    public GuiRegExp(String match, String subst) {
        this.match = match;
        this.subst = subst;
    }

    public String getMatch() {
        return this.match;
    }

    public String getSubst() {
        return this.subst;
    }
}
