/*
 * TextEdit.java
 *
 * Created on 28. Juli 2001, 18:35
 */

package org.paw.gui;


import java.awt.event.*;
import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;


/**
 *
 * @author  Standard
 * @version 
 */
public class LogViewer extends JPanel {
    private DefaultMutableTreeNode node = null;
    private String content = null;
    JTextArea textArea;

    /** Creates new LogViewer */
    public LogViewer(String titleString)
    {
        super();
        
       JToolBar toolBar = new JToolBar();      

        toolBar.setFloatable(false);
        toolBar.setBackground(Color.gray);        

        setLayout(new BorderLayout());
        
        JLabel title = new JLabel(titleString);

        title.setForeground(Color.white);
        title.setFont(new Font("SansSerif", Font.BOLD, Icons.BigIconHeight));
        
        toolBar.addSeparator();
        toolBar.add(title);
        
        add(toolBar, "North");
        
        setupEditor();

    }

    private void setupEditor() {
        textArea = new JTextArea(content);
        textArea.setCaretPosition(0);
        
        JScrollPane scroller = new JScrollPane(textArea);

        add(scroller, "Center");   
             
        //JScrollBar hScrollBar = scroller.getHorizontalScrollBar();
        //hScrollBar.setValue(0);
        
        //JScrollBar vScrollBar = scroller.getVerticalScrollBar();
        //vScrollBar.setValue(0);
        
        //scroller.getHorizontalScrollBar().setValue(0);
        
   
    }
    
    public String getContent() {
        return textArea.getText();
    }

    public void setContent(String content) {
        textArea.setText(content);
    }
    
}
