package org.paw.gui.util;

import java.io.*;

public class Io
{
   public static String readLocalFile(String filename)
   {
      StringBuffer content = new StringBuffer();

      BufferedReader br = null;
      try {
          br = new BufferedReader(new FileReader(filename));
          
          String line;

          while((line = br.readLine()) != null) {
              content.append(line + "\n");
          }
      }
      catch (Exception e) {
          e.printStackTrace();
          return null;
      }
      finally {
         if(br != null) {
            try {
              br.close();
            } catch(Exception e) {}
         }
      }
      
      return content.toString();
   }
   
   public static void writeLocalFile(String filename, String text)
   {
   	File f = new File(filename);

        BufferedWriter os = null;

        try {
                os = new BufferedWriter(new FileWriter(f));
                os.write(text);
                os.close();
        }
	catch(Exception e) {
	      e.printStackTrace();
	}
    }

}
